org.apache.commons.compress.changes

## Class ChangeSetResults

- java.lang.Object
- - org.apache.commons.compress.changes.ChangeSetResults

-     public class ChangeSetResults
      extends Object

  Stores the results of an performed ChangeSet operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeSetResults()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAddedFromChangeSet()` Returns a list of filenames which has been added from the changeset
    `List<String>` | `getAddedFromStream()` Returns a list of filenames which has been added from the original stream
    `List<String>` | `getDeleted()` Returns a list of filenames which has been deleted

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeSetResults

          public ChangeSetResults()

  - ### Method Detail

    - #### getAddedFromChangeSet

          public List<String> getAddedFromChangeSet()

      Returns a list of filenames which has been added from the changeset
      Returns:
        the list of filenames

    - #### getAddedFromStream

          public List<String> getAddedFromStream()

      Returns a list of filenames which has been added from the original stream
      Returns:
        the list of filenames

    - #### getDeleted

          public List<String> getDeleted()

      Returns a list of filenames which has been deleted
      Returns:
        the list of filenames

Copyright © 2016 The Apache Software Foundation. All rights reserved.